{ config, lib, pkgs, ... }:

{
  home.packages = with pkgs; [
    fishPlugins.foreign-env
    fishPlugins.fzf-fish
    fishPlugins.bass
    fishPlugins.autopair
    fishPlugins.colored-man-pages
  ];

  programs.fish = {
    enable = true;

    # change fzf variable search to C-M-v
    interactiveShellInit = ''
      bind --erase \ct
      fzf_configure_bindings --variables=\e\cv
      '';
    plugins = [
      {
        name = "upto";
        src = pkgs.fetchFromGitHub {
          owner = "Markcial";
          repo = "upto";
          rev = "2d1f35453fb55747d50da8c1cb1809840f99a646";
          sha256 = "sha256-Lv2XtP2x9dkIkUUjMBWVpAs/l55Ztu7gIjKYH6ZzK4s=";
        };
      }
    ];
  };

  home.file.".config/fish/functions" = {
    source = ./functions;
    recursive = true;
  };

  home.file.".config/fish/completions" = {
    source = ./completions;
    recursive = true;
  };
}
